Bug 365931 - Review Request: getmail - POP3, IMAP4 and SDPS mail retriever with Maildir delivery
Review Request: getmail - POP3, IMAP4 and SDPS mail retriever with Maildir d...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 12:41 EST by Dean Mander
Modified: 2012-02-27 08:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-30 09:27:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dean Mander 2007-11-04 12:41:02 EST
Spec URL: http://knolderpoor.no-ip.org/rpms/getmail/getmail.spec
SRPM URL: http://knolderpoor.no-ip.org/rpms/getmail/getmail-4.7.6-2.fc7.src.rpm

Description: getmail is a secure and and easy-to-use
mail retriever for POP3, IMAP4, written in python, and a possible replacement for fetchmail.

It's available for other distro's since centuries, so here an attempt to get in into the Fedora Extras.

It's my first submission and first rpm package, so it wouldn't hurt to have a in-depth review on it ;-).
Comment 1 Scott Robbins 2007-11-20 09:25:10 EST
I would like to add my support to a request for this.  There's already a 
working spec file created by someone else, however, he simply has his own small 
repository. 

http://dries.ulyssis.org/rpm/packages/getmail/info.html

As the requester says, it has been available in most distributions for a long 
time.  knolderpoor, are you keeping your specfile up to date, that is, 
upgrading the specfile as getmail gets newer versions?

Thank you for requesting this, I was about to fill out a feature request 
myself.  I just tested your specfile, changed the version to the current 4.7.7,
and found that it built without any problems. 
Comment 2 Patrice Dumas 2007-11-20 09:44:37 EST
(In reply to comment #1)
> I would like to add my support to a request for this.  There's already a 
> working spec file created by someone else, however, he simply has his own small 
> repository. 
> 
> http://dries.ulyssis.org/rpm/packages/getmail/info.html

This is not a small repository... Dries repository is in fact quite huge
and it works more or less with dag in rpmforge... In any case it is
true that it would be nice to have this package in fedora.
Comment 3 Scott Robbins 2007-11-20 09:52:38 EST
Patrice, you're quite right. :) I'd just taken a quick scan when first looking 
for a getmail.rpm.  

(I've put a mention of this request on the getmail mailing list, so perhaps 
we'll get a little more support.)
Comment 4 Mamoru TASAKA 2007-11-20 09:57:50 EST
(In reply to comment #0)
> It's my first submission and first rpm package, so it wouldn't hurt to have a
in-depth review on it ;-).

Adding NEEDSPONSOR.
Comment 5 Patrice Dumas 2007-11-20 10:02:05 EST
I'll review that. Please redo a srpm with the latest version. 
Also, did you had a look at:

http://fedoraproject.org/wiki/PackageMaintainers
http://fedoraproject.org/wiki/PackageMaintainers/Join
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Looking at the spec file, I like personally to have
timestamps kept, so in the iconv call, before doing the
mv there could be
touch -r docs/CHANGELOG w

In general adding -q to %setup is preferred, unless there is
something special, or you really want to avoid -q.
Comment 6 Mamoru TASAKA 2007-11-20 10:24:42 EST
Just a quick more comments:
Very quick comments:

* You can check your srpm/binary rpm by rpmlint
  - %setup is not quiet (as Patrice said)
  - For non-executable-script rpmlint complaints like
---------------------------------------------------------
getmail.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/getmailcore/logging.py 0644
getmail.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/getmailcore/destinations.py 0644
getmail.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/getmailcore/constants.py 0644
.......
---------------------------------------------------------
    this means that scripts which don't have executable permissons
    should not have shabangs.

* Files under %_mandir are automatically marked as %doc.
? By the way, would you consider to shorten the length of one line?
  For me %doc entry is too long to write in one line.
Comment 7 Dean Mander 2007-11-20 14:04:02 EST
> I would like to add my support to a request for this.  There's already a 
> working spec file created by someone else, however, he simply has his own
> small repository. 
My specfile is based on the original one from dries (see changelog).

I have updated spec file & srpm:
http://knolderpoor.no-ip.org/rpms/getmail/getmail.spec
http://knolderpoor.no-ip.org/rpms/getmail/getmail-4.7.7-1.fc8.src.rpm

I've included latest version 4.7.7, and next changes:
- no more convert of CHANGELOG (upstream converted to UTF-8)
- added -q to %setup
- shortened doc line

I've already discussed the shebangs with upstream maintainer, but he wants to
keep them.
I didn't consider patching so far, because a shebang doesn't really hurt much,
it's more a cosmetic change. And I would like to keep the package as close as
possible to upstream sources.

Thanks for all response so far, waiting for more :).

Is there way I can speedup the search for a "sponsor"?
Comment 8 Patrice Dumas 2007-11-20 16:30:11 EST
You should escape the % in %changelog, by doubling it:

getmail.src:58: W: macro-in-%changelog setup
getmail.src:59: W: macro-in-%changelog doc

I agree that removing shebangs is pointless. the shebangs however
are quite wrong since they call python2.3... Not a big deal.

Regarding being sponsored, you can comment on other
tickets (though you still cannot accept review) CC me (and
maybe Mamoru if he wants to), when you do that.

Comment 9 Dean Mander 2007-11-21 13:11:42 EST
> You should escape the % in %changelog, by doubling it:
> 
> getmail.src:58: W: macro-in-%changelog setup
> getmail.src:59: W: macro-in-%changelog doc

Didn't know you can run rpmlint against a spec also, but learning...
Fixed it:
http://knolderpoor.no-ip.org/rpms/getmail/getmail.spec
http://knolderpoor.no-ip.org/rpms/getmail/getmail-4.7.7-2.fc8.src.rpm
Comment 10 Patrice Dumas 2007-11-22 08:33:01 EST
The timestamp of the source tarball is not kept
-rw-rw-r-- 1 dumas dumas 149137 nov  8 17:44 getmail-4.7.7.tar.gz
-rw-rw-r-- 1 dumas dumas 149137 nov 20 18:35 ../SOURCES/getmail-4.7.7.tar.gz

You can use wget -N, spectool -g on the spec file or
the similar curl option.
Comment 11 Dean Mander 2007-11-22 12:41:58 EST
(In reply to comment #10)
> The timestamp of the source tarball is not kept
Now it is.
I didn't update the version number, because the spec doesn't change, hope that's
okay.
http://knolderpoor.no-ip.org/rpms/getmail/getmail-4.7.7-2.fc8.src.rpm
Comment 12 Patrice Dumas 2007-11-25 19:32:03 EST
Regarding using the same version, I think it would have been
better to increment the release, and also increment the
release number in the changelog, without adding a new entry,
but it is not a big deal.

* follow guidelines
* free software, license included
* rpmlint output about script not executable ignorable
* match upstream
d6252e8ebe89fb17baaeb9acba707e39  getmail-4.7.7.tar.gz
* %files section right

APPROVED.

I'll sponsor you, just go through the next steps.
Comment 13 Mamoru TASAKA 2007-11-26 08:23:00 EST
Patrice, please change the status of this bug and bug flags
appropriately.
Comment 14 Patrice Dumas 2007-11-26 08:33:58 EST
Mamoru, don't hesitate to give other comments, if you
have some (though I guess that you wouldn't hesitate
in any case ;-)

I'm leaving the FE-NEEDSPONSOR blocker until I have granted 
sponsorship.
Comment 15 Dean Mander 2007-11-28 17:02:41 EST
New Package CVS Request
=======================
Package Name: getmail
Short Description: POP3, IMAP4 mail retriever
Owners: knol
Branches: F-8
InitialCC: knol
Cvsextras Commits: yes
Comment 16 Kevin Fenzi 2007-11-28 18:29:49 EST
cvs done.
Comment 17 Dean Mander 2007-11-30 09:27:36 EST
Build done.
Thanks for the review.
Comment 18 Fedora Update System 2007-12-03 06:49:36 EST
getmail-4.7.7-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update getmail'
Comment 19 Fedora Update System 2007-12-07 16:34:32 EST
getmail-4.7.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Ricky Zhou 2012-02-26 23:36:24 EST
Package Change Request
======================
Package Name: getmail
New Branches: el6
Owners:       ricky
Comment 21 Jon Ciesla 2012-02-27 08:30:20 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.